> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Snapshot



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/revisions/{id}/snapshot
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/revisions/{id}/snapshot:
    get:
      tags:
        - Project Revisions
      summary: Snapshot
      operationId: ProjectRevisionsController_snapshot_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevisionSnapshotResponseDto'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
components:
  schemas:
    RevisionSnapshotResponseDto:
      type: object
      properties:
        revision:
          $ref: '#/components/schemas/RevisionDto'
        generatedAt:
          type: string
          nullable: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/RevisionLineSnapshotDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - revision
        - generatedAt
        - items
        - nextCursor
        - hasMore
    ErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          example: 409
        message:
          type: string
          example: Conflict
        code:
          type: string
          example: VARIANT_COMBO_TAKEN
          description: >-
            UPPER_SNAKE_CASE domain error code. Present on validation /
            business-rule errors; absent on generic HTTP errors.
        entity:
          type: string
          description: >-
            Entity type that caused the conflict (e.g. "ProjectItem"). Present
            when the error is entity-specific.
      required:
        - statusCode
        - message
    RevisionDto:
      type: object
      properties:
        type:
          enum:
            - version
            - issue
            - revision
          type: string
        id:
          type: string
        label:
          type: string
          nullable: true
        releaseType:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
        issueDate:
          type: string
        notes:
          type: string
          nullable: true
        actorUserId:
          type: string
          nullable: true
        actorName:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        lineCount:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        archivedAt:
          type: string
          nullable: true
        archivedByName:
          type: string
          nullable: true
      required:
        - type
        - id
        - label
        - releaseType
        - issueDate
        - notes
        - actorUserId
        - actorName
        - sourceId
        - lineCount
        - createdAt
        - updatedAt
        - archivedAt
        - archivedByName
    RevisionLineSnapshotDto:
      type: object
      properties:
        slotId:
          type: string
        existed:
          type: boolean
        archived:
          type: boolean
        slot:
          type: array
          items:
            $ref: '#/components/schemas/RevisionFieldDto'
        primaryItem:
          type: object
          properties:
            projectItemId:
              type: string
            fields:
              type: array
              items:
                $ref: '#/components/schemas/RevisionFieldDto'
          required:
            - projectItemId
            - fields
      required:
        - slotId
        - existed
        - archived
        - slot
        - primaryItem
    RevisionFieldDto:
      type: object
      properties:
        value:
          type: object
          nullable: true
          additionalProperties: true
        field:
          type: string
        label:
          type: string
          nullable: true
        display:
          type: string
          nullable: true
      required:
        - value
        - field
        - label
        - display

````